#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cerr.tie(NULL);
    cout.tie(NULL);

    int n,k;
    cin >> n >> k;
    int arr[n];
    for(int i=0;i<n;i++)
        cin >> arr[i];
    int i=0;
    while(arr[i]!=k)
        i++;
    if(i==n-1)
        cout << arr[0];
    else
        cout << arr[i+1];
    return 0;
}